Sentinel Starden:
The Underground Fortress was the final stronghold in the battle with Humans, and an important stronghold in the war with the Elves. It was the site of several offensive and defensive battles as well. In the end, the demons summoned by the Dark Elven enchanters completely razed the fortress with fire, and the Elven fighters who were defending it were brutally murdered.
The Underground Fortress has become a very dangerous place. The ghosts of dead fighters and evil spirits are drawn by the power of the black magic cast by the Dark Elves, and make their nests there. If you want to go there, cross this bridge, then follow the path southwest.
Return